## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XalanTransformer::DeleteParamPairFunctor Struct Template Reference

`#include <XalanTransformer.hpp>`

Inheritance diagram for XalanTransformer::DeleteParamPairFunctor:

[legend]
Collaboration diagram for XalanTransformer::DeleteParamPairFunctor:

[legend]
List of all members.

## Public Types

- typedef std::unary_function<
  T&, void> BaseClassType
- typedef BaseClassType::result_type result_type
- typedef BaseClassType::argument_type argument_type

## Public Methods

- DeleteParamPairFunctor (MemoryManagerType &theManager)
- template<class PtrT> void deletePtr (PtrT *ptr) const
- result_type operator() (argument_type thePair) const
    Delete the object pointed to by argument. More...

### template<class T> struct XalanTransformer::DeleteParamPairFunctor

## Member Typedef Documentation

template<class T>
typedef std::unary_function< T &, void > XalanTransformer::DeleteParamPairFunctor<T>::BaseClassType<T&, void>

template<class T>
typedef BaseClassType::argument_type XalanTransformer::DeleteParamPairFunctor<T>::argument_type

template<class T>
typedef BaseClassType::result_type XalanTransformer::DeleteParamPairFunctor<T>::result_type

## Constructor & Destructor Documentation

template<class T>
XalanTransformer::DeleteParamPairFunctor<T>::DeleteParamPairFunctor<T> ( | MemoryManagerType & theManager )

## Member Function Documentation

template<class T>
template<class PtrT>
void XalanTransformer::DeleteParamPairFunctor<T>::deletePtr ( | PtrT * ptr ) const

template<class T>
result_type XalanTransformer::DeleteParamPairFunctor<T>::operator() ( | argument_type thePair ) const

  | Delete the object pointed to by argument. Parameters:
  thePointer | pointer to object to be deleted

The documentation for this struct was generated from the following file:

- XalanTransformer.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.